# Created by pyp2rpm-3.3.3
%global pypi_name flask-peewee

Name:           python-%{pypi_name}
Version:        3.0.3
Release:        %mkrel 2
Summary:        Peewee integration for flask
Group:          Development/Python
License:        BSD
URL:            http://github.com/coleifer/flask-peewee/
Source0:        https://files.pythonhosted.org/packages/source/f/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(flask)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(peewee) >= 3.0.0
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(werkzeug)
BuildRequires:  python3dist(wtf-peewee)
BuildRequires:  python3dist(wtforms)
BuildRequires:  python3dist(sphinx)

%description
python-flask-peewee provides a layer of integration between the flask web
framework and the peewee orm.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(flask)
Requires:       python3dist(jinja2)
Requires:       python3dist(peewee) >= 3.0.0
Requires:       python3dist(werkzeug)
Requires:       python3dist(wtf-peewee)
Requires:       python3dist(wtforms)

%description -n python3-%{pypi_name}
python-flask-peewee provides a layer of integration between the flask web
framework and the peewee orm.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%doc html
%{python3_sitelib}/example
%{python3_sitelib}/flask_peewee
%{python3_sitelib}/flask_peewee-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 3.0.3-2.mga8
+ Revision: 1538960
- Mageia 8 Mass Rebuild

* Thu Nov 28 2019 wally <wally> 3.0.3-1.mga8
+ Revision: 1463412
- imported package python-flask-peewee

